CMSIS-Core (Cortex-A): Instruction Fault Status Register (IFSR)

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Content | Data Structures | Functions
Instruction Fault Status Register (IFSR)
Core Register Access

The IFSR holds status information about the last instruction fault. More...

## Content

| IFSR Bits
| Bit position and mask macros.

## Data Structures

struct | IFSR_Type
| Bit field declaration for IFSR layout. More...

## Functions

__STATIC_FORCEINLINE uint32_t | __get_IFSR (void)
| Get IFSR. More...
__STATIC_FORCEINLINE void | __set_IFSR (uint32_t ifsr)
| Set IFSR. More...

## Description

DFSR format when using the Short-descriptor translation table format

Bits | Name | Function
--- | --- | ---
[31:13] | - | Reserved.
[12] | ExT | External abort type.
[11] | - | Reserved.
[10] | FS[4] | Fault status bits.
[9] | LPAE | Large Physical Address Extension.
[8:4] | - | Reserved.
[3:0] | FS[3:0] | Fault status bits.

DFSR format when using the Long-descriptor translation table format

Bits | Name | Function
--- | --- | ---
[31:13] | - | Reserved.
[12] | ExT | External abort type.
[11:10] | - | Reserved.
[9] | LPAE | Large Physical Address Extension.
[8:6] | - | Reserved.
[5:0] | STATUS | Fault status bits.

Consider __get_IFSR and __set_IFSR to access this register.

## Function Documentation

__STATIC_INLINE uint32_t __get_IFSR | ( | void |  | ) |

Returns
  Instruction Fault Status Register value

This function returns the current value of the Instruction Fault Status Register (IFSR).

__STATIC_INLINE void __set_IFSR | ( | uint32_t | ifsr | ) |

Parameters

  [in] | ifsr | Instruction Fault Status value to set

This function assigns the given value to the Instruction Fault Status Register (IFSR).